<?php
require_once("includes/clase_sesion.php");
$sesion = new sesion();
require_once("includes/academia_constantes.php");
require_once("includes/funciones_generales.php");
require_once("includes/academia.locale.php");

if (MODO_MANTENIMIENTO === TRUE) {
    header("Location: md_mantenimiento.php");
}
#header("Location: md_mantenimiento.php");
//cache();
//if (!headers_sent())
//    ob_start("ob_gzhandler");
//*----------------------
//print_r($_SESSION);

if ($sesion->isValid()) {
    //echo $sesion->get('academia_in');
    if ($sesion->get('academia_in') != "SI") {
        header("Location: " . RUTA_INICIAL);
        exit();
    } else {
        $fechaGuardada = $sesion->get("ultimoAcceso");
        $ahora = date("Y-n-j H:i:s");
        $tiempo_transcurrido = (strtotime($ahora) - strtotime($fechaGuardada));
        if ($tiempo_transcurrido >= 3600) {
            $sesion->borrarsesion(); // destruyo la sesión
            header("Location: " . RUTA_INICIAL); //envío al usuario a la pag. de autenticación sino, actualizo la fecha de la sesión
        } else {
            $sesion->set('ultimoAcceso', $ahora);
        }
    }
} else {
    header("Location: " . RUTA_INICIAL);
    exit();
}
/* ------------------- */

require_once("includes/lib_lenguaje.php");
require_once("includes/MySQL.php");
$academia = new Servidor_Base_Datos(AC_CONN_HOST, AC_CONN_USER, AC_CONN_PASS, AC_CONN_DB . "" . $sesion->get("anio"));
$academia->instruccion('select * from conf_campos_validate limit 0,1');
if ($academia->num_rows() > 0) {
    $reg = $academia->extraer_registro();
    $sesion->set('cod_cmps', $reg);
}
$academia->liberar();
//info colegio;
$sql = "SELECT cod_colegio, nombre, abreviatura, resolucion, nit, icfes, dane, decreto, educacion, pie, dan_ant, enca_dtos, pie_boletin, enca_boletin, enca_boletin_pres, formato_boletin_pres, formato_boletin_gral, formato_boletin_pres_fnl, formato_boletin_gral_fnl, esquema_carnets,rector,trato FROM adm_colegio
LIMIT 1;";
$academia->instruccion($sql);
if ($academia->num_rows() > 0) {
    $reg = $academia->extraer_registro();
    $sesion->set('info_colegio', $reg);
}
$academia->liberar();
$sql = "SELECT
    	conf_configuracion.cod_config
    , conf_configuracion.cod_tipo_nombres_grupos
    , aux_tipos_nombres_grupos.tipo_nombres_grupos
    , aux_tipos_nombres_grupos.nom_columna AS nombres_grupos
    , conf_configuracion.cons_grupo_sede
    , conf_configuracion.cons_grupo_jorn
    , conf_configuracion.cod_sed_principal
    , conf_configuracion.calendario
    , conf_configuracion.max_grupos_grado
	, conf_configuracion.per_camb_saber_doc
	, conf_configuracion.notas_iguales
	, format_mat,format_nom,is_cod_obs,col_observaciones
        ,logo_alto,logo_ancho
        ,anio_inicio as anio_inicio, anio_final as anio_final, anio_activo as anio_activo, paso_migracion,periodos_iguales,tipo_calif,tabulacion_notas
FROM
    conf_configuracion
    INNER JOIN aux_tipos_nombres_grupos
        ON (conf_configuracion.cod_tipo_nombres_grupos = aux_tipos_nombres_grupos.cod_tipo_nombres_grupos)";

$academia->instruccion($sql);
//echo $academia->extraer_error();
if ($academia->num_rows() > 0) {
//			echo "ssj ja djhsdj sjfd";
    $reg = $academia->extraer_registro();
    $sesion->set('configuracion', $reg);

    $anio_inicio = $reg['anio_inicio'];
    $anio_final = $reg['anio_final'];
    $anio_activo = $reg['anio_activo'];

    for ($i = $anio_final; $i >= $anio_inicio; $i--) {
        if ($i == $anio_activo) {
            $cadSelecAnios .= '<option value="' . $i . '" selected>' . $i . '</option>';
        } else {
            $cadSelecAnios .= '<option value="' . $i . '" >' . $i . '</option>';
        }
    }
} else {
    echo "Error al cargar la configuracion";
    exit();
}
$academia->liberar();
$clenguaje = new cLanguage('phplang/');
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN""http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8"/>

    <LINK REL="SHORTCUT ICON" HREF="images/logo.png">

    <meta http-equiv="X-UA-Compatible" content="IE 8,chrome=1, firefox">
    <meta name="Copyright" content="Copyright Prointel Ptyo">

    <META name="author" content="Copyright Prointel Ptyo">

    <title><?php echo ".::: Academia web " . $sesion->get("anio") ?></title>

    <link href="css/kendo.common.css" rel="stylesheet" type="text/css"/>
    <link href="css/kendo.blueopal.css" rel="stylesheet" type="text/css"/>

    <link href="css/jquery-ui-1.8.css" rel="stylesheet" type="text/css"/>

    <link href="css/easyui/easyui.css" rel="stylesheet" type="text/css"/>
    <link href="css/easyui/icon.css" rel="stylesheet" type="text/css"/>

    <link rel="stylesheet" type="text/css" href="colorbox/colorbox.css"/>
    <link rel="stylesheet" type="text/css" href="css/showLoading.css"/>

    <link href="css/general.css" rel="stylesheet" type="text/css"/>
    <link rel="stylesheet" type="text/css" href="css/jquery.notifyBar.css"/>

    <link rel="stylesheet" type="text/css" href="css/tip-skyblue/tip-skyblue.css"/>


    <link rel="stylesheet" type="text/css" href="css/jquery.alerts.css"/>
    <link rel="stylesheet" type="text/css" href="css/ui.jqgrid.css"/>

    <link rel="stylesheet" type="text/css" href="contexMenu/jquery.contextMenu.css"/>


    <script type="text/javascript" src="js/knockout.js"></script>

    <script type="text/javascript" src="js/jquery.js"></script>

    <script type="text/javascript" src="js/jquery-ui-1.8.js"></script>
    <script async="async" type="text/javascript" src="js/ui.datepicker-es.js"></script>
    <script defer="defer" type="text/javascript" src="js/jquery-ui-timepicker-addon.js"></script>
    <!--- kendo --->
    <script defer="defer" type="text/javascript" src="js/kendo/kendo.core.min.js"></script>
    <script defer="defer" type="text/javascript" src="js/kendo/kendo.fx.min.js"></script>
    <script defer="defer" type="text/javascript" src="js/kendo/kendo.popup.min.js"></script>
    <script defer="defer" type="text/javascript" src="js/kendo/kendo.menu.min.js"></script>

    <script defer="defer" type="text/javascript" src="js/jquery.blockUI.js"></script>

    <script defer="defer" type='text/javascript'>

        var dtsLang = $.parseJSON('<?php echo json_encode($dtsLang) ?>');
        //	dtsLang.globals.msg_espera='<h2 style="vertical-align:middle" ><img src="images/ocupado.gif" width="20" height="20" />&nbsp;'+dtsLang.globals.msg_espera+'</h2>';
        $("#objDescargas").attr("src", "");</script>
    <script defer="defer" type="text/javascript" src="js/config_inicial.js"></script>

    <script async="async" type="text/javascript" src="js/jquery.meio.mask.js"></script>
    <script async="async" type="text/javascript" src="js/styletable.jquery.plugin.js"></script>
    <script async="async" type="text/javascript" src="colorbox/jquery.colorbox.js"></script>
    <script async="async" type="text/javascript" src="js/jquery.notifyBar.js"></script>
    <script defer="defer" type="text/javascript" src="js/jquery.showLoading.js"></script>

    <script async="async" type="text/javascript" src="js/jquery.valida.js"></script>
    <script async="async" type="text/javascript" src="js/jquery.valida_select.js"></script>
    <script defer="defer" type="text/javascript" src="js/funciones_generales.js"></script>

    <script async="async" type="text/javascript" src="js/jquery.alerts.js"></script>
    <script async="async" type="text/javascript" src="js/grid.locale-es.js"></script>
    <script async="async" type="text/javascript" src="js/jquery.jqGrid.src.js"></script>
    <script async="async" type="text/javascript" src="js/jquery.tablednd.js"></script>

    <script async="async" type="text/javascript" src="js/funciones_acciones.js"></script>

    <script async="async" type="text/javascript" src="js/AjaxUpload.2.0.min.js"></script>
    <script async="async" type="text/javascript" src="js/ajaxfileupload.js"></script>

    <script async="async" type="text/javascript" src="js/jquery.poshytip.js"></script>

    <script async="async" type="text/javascript" src="js/jquery.tmpl.min.js"></script>
    <script type="text/javascript" src="js/tinymce/tiny_mce.js"></script>


    <!--Librerias de graficos-->
    <script type="text/javascript" src="js/graficos/highcharts.js"></script>
    <script type="text/javascript" src="js/graficos/modules/exporting.js"></script>

    <!--Librerias de easyui-->
    <script type="text/javascript" src="js/easyui/src/jquery.parser.js"></script>
    <script type="text/javascript" src="js/easyui/plugins/jquery.validatebox.js"></script>
    <!--                        <script type="text/javascript" src="js/easyui/src/jquery.draggable.js"></script>-->
    <script type="text/javascript" src="js/easyui/plugins/jquery.resizable.js"></script>
    <script type="text/javascript" src="js/easyui/plugins/jquery.panel.js"></script>
    <script type="text/javascript" src="js/easyui/plugins/jquery.layout.js"></script>
    <script type="text/javascript" src="js/easyui/src/jquery.menu.js"></script>
    <script type="text/javascript" src="js/easyui/src/jquery.linkbutton.js"></script>
    <script type="text/javascript" src="js/easyui/src/jquery.form.js"></script>
    <script type="text/javascript" src="js/easyui/plugins/jquery.combo.js"></script>
    <script type="text/javascript" src="js/easyui/plugins/jquery.combobox.js"></script>
    <script type="text/javascript" src="js/easyui/plugins/jquery.splitbutton.js"></script>
    <script type="text/javascript" src="js/easyui/plugins/jquery.progressbar.js"></script>
    <script type="text/javascript" src="js/easyui/plugins/jquery.messager.js"></script>
    <script type="text/javascript" src="js/easyui/src/jquery.window.js"></script>
    <script type="text/javascript" src="js/easyui/plugins/jquery.pagination.js"></script>
    <script type="text/javascript" src="js/easyui/plugins/jquery.datagrid.js"></script>
    <script type="text/javascript" src="js/easyui/plugins/datagrid-groupview.js"></script>
    <script type="text/javascript" src="js/easyui/plugins/jquery.treegrid.js"></script>
    <script type="text/javascript" src="js/easyui/plugins/jquery.combogrid.js"></script>
    <script type="text/javascript" src="js/easyui/plugins/jquery.accordion.js"></script>
    <script type="text/javascript" src="js/easyui/plugins/jquery.tabs.js"></script>

    <script type="text/javascript" src="js/easyui/plugins/jquery.layout.js"></script>
    <script type="text/javascript" src="js/easyui/easyui-lang-es.js"></script>
    <script type="text/javascript">
        $(document).ready(function (e) {
//                                $("#dlgTips").window({
//                                    width: 500,
//                                    height: 435,
//                                    modal: true,
//                                    closable: false,
//                                    maximizable: false,
//                                    minimizable: false,
//                                    collapsible: false,
//                                }); 
            /*$.colorbox({
                href: "http://prointelputumayo.com/academia/novedades/novedades1.php",
                width: '50%',
                height: '50%'
            });*/
            $("#cambia_anio").on("click", function (e) {
                var anio_ant = parseInt($("#anio_activo").text())
                var new_anio = parseInt($("#txtanio").val())
                if (anio_ant != new_anio) {
                    jConfirm('Esta seguro de cambiar de año lectivo??', dtsLang['project']['institucion'], function (r) {
                        if (r) {
                            $.ajax({
                                url: 'mod_inicio/cmb_anio.php',
                                dataType: 'json',
                                data: {anio: new_anio},
                                type: 'post',
                                beforeSend: function () {
                                    $.messager.progress({
                                        title: dtsLang["project"]["institucion"],
                                        msg: 'Cambiando de año lectivo',
                                        interval: 100,
                                    });
                                },
                                success: function (rta) {
                                    $.messager.progress('close')
                                    if (!rta.succes) {
                                        $("#txtanio").val(anio_ant);
                                        jAlert(rta.msg, dtsLang["globals"]["institucion"], "error", function () {
                                            if (rta.error == 'session') {
                                                location.reload();
                                            }
                                        });
                                        return;
                                    } else {
                                        $("#anio_activo").text(new_anio);
                                        jAlert(rta.msg, dtsLang["globals"]["institucion"], function () {
                                            location.reload();
                                        });
                                        location.reload();
                                    }
                                }
                            });
                        } else {
                            $("#txtanio").val(anio_ant);
                        }
                    });

                }

            });
        });
        Highcharts.setOptions({
            chart: {
                events: {
                    load: function () {
                        this.renderer.image('<?php echo RUTA_ABS ?>' + "/images/academia.png", 10, 8, 30, 29)
                            .add();
                    }
                }
            },
            exporting: {
                url: "http://export.highcharts.com/",
                buttons: {
                    exportButton: {
                        enabled: true
                    }
                }
            },
            credits: {
                enabled: true,
                text: '© Prointel Putumayo',
                href: 'http://www.prointelltda.com',
            }
        });
        tinyMCE.create('tinymce.plugins.dispnCampos', {
            createControl: function (n, cm) {
                switch (n) {
                    case 'dtsColegio':
                        var mlb = cm.createListBox('dtsColegio', {
                            title: 'Informacion Colegio',
                            onselect: function (v) {
                                tinyMCE.activeEditor.execCommand('mceInsertContent', false, v);
                            }
                        });
                        mlb.add('Nombre', '<?php echo $sesion->getVar("info_colegio.nombre") ?>');
                        mlb.add('Nombre Abreviado', '<?php echo $sesion->getVar("info_colegio.abreviatura") ?>');
                        mlb.add('Nit', '<?php echo $sesion->getVar("info_colegio.nit") ?>');
                        mlb.add('Resolución', '<?php echo $sesion->getVar("info_colegio.resolucion") ?>');
                        mlb.add('Decreto', '<?php echo $sesion->getVar("info_colegio.decreto") ?>');
                        mlb.add('ICFES', '<?php echo $sesion->getVar("info_colegio.icfes") ?>');
                        mlb.add('DANE', '<?php echo $sesion->getVar("info_colegio.dane") ?>');
                        mlb.add('Escudo Colegio', '<img src="images/logo_colegio.png" alt="Escudo Institución" style="width:59px; height:66px">');
                        mlb.add('Escudo Colombia', '<img src="images/escudo.png" alt="Escudo Institución" style="width:59px; height:66px">');
                        return mlb;
                    case 'dtsEstudiante':
                        var mlbE = cm.createListBox('dtsEstudiante', {
                            title: 'Informacion Estudiante',
                            onselect: function (v) {
                                tinyMCE.activeEditor.execCommand('mceInsertContent', false, v);
                            }
                        });
                        mlbE.add('Apellidos y nombres', '{nomape}');
                        mlbE.add('Tipo identificación', '{tipoid}');
                        mlbE.add('Número de identificación', '{numide}');
                        mlbE.add('Lugar Expedición', '{lugexp}');
                        mlbE.add('Grado', '{grado}');
                        mlbE.add('Grupo', '{grupo}');
                        mlbE.add('Tipo educación', '{tipoedu}');
                        mlbE.add('Jornada', '{jornada}');
                        mlbE.add('Fecha', '{fecha}');
                        mlbE.add('Rector', '{rector}');
                        /*mlbE.add('Coordinador académico', '{cooacademico}');
                         mlbE.add('Coordinador disciplina', '{coodisciplina}');*/
                        return mlbE;
                }
                return null;
            }
        });
        /* Register plugin with a short name*/
        tinymce.PluginManager.add('cmpsInfor', tinymce.plugins.dispnCampos);

    </script>

    <style>
        body {
            background: #F0F4FF url(images/logo_colegio_fondo.png) no-repeat left center;
        }
    </style>


</head>
<body>
<iframe src="" style="display:none" id="objDescargas"></iframe>
<?php if ($sesion->getVar('ac_tipo_user') != '7') ?>

    <!--                            <div id="dlgTips" title="Información">
                                    <div class="modal-header">
                                        <h3>!ATENCIÓN¡ DOCENTES</h3>
                                    </div>
                                    <div class="modal-body">
                                        <table>
                                            <tr>
                                                <td>
                                                    <img src="images/help/mod_notas.jpg" width="158" height="98" alt="Help Observaciones" align="left" style="float:left;margin-right:10px;margin-top:-10px;" />
                                                </td>
                                                <td>
                                                    1. - <b>Se actualizó el formulario de notas:</b> El sistema muestra la nota definitiva de cada periodo y la nota definitiva de la asignatura al momento de ingresar cada una de las notas individuales en el formulario.
                                                    <br>La columna correspondiente al periodo que se está evaluando aparece resaltada, y la columna siguiente corresponde a la nota final.
                                                        <br></br> <br></br>
                                                </td>
                                            </tr>
                                            <tr>
                                                <td></td>
                                                <td>
                                                    2. - <b>Se agregó el reporte de cuadro de honor.</b> Este muestra el puesto ocupado por cada estudiante en el grupo o sección (Preescolar, Primaria, Secundaria y Adultos). <br>Para acceder ingrese a la opción del menú "Reportes/Cuadro de honor"
                                                </td>
                                            </tr>
                                        </table>

                                        <h4>Si se le presenta alguna inconsistencia por favor comuníquelo al administrador del sistema en su institución</h4>
                                    </div>
                                    <div class="modal-footer">
                                        <a class="easyui-linkbutton" data-options="iconCls:'icon-cancel'" href="javascript:void(0)" onclick="javascript:$('#dlgTips').window('close')">Cerrar</a>
                                    </div>
                                </div>-->


    </div>
<?php ?>
<div id="formCambiaPass" title="<?php echo $dtsLang['mod_inicio']['tit_for_cmb_pass'] ?>" style="padding:8px">
    <form id="formCmbPass">
        <table border="0" cellspacing="0" cellpadding="0" class="table table-condensed table-bordered">
            <tr>
                <th scope="row"><?php echo $dtsLang['mod_inicio']['lbl_pas_ant'] ?></th>
                <td><input name="txtpasant" id="txtpasant" type="password"/></td>
            </tr>
            <tr>
                <th scope="row"><?php echo $dtsLang['mod_inicio']['lbl_pas_new'] ?></th>
                <td><input name="txtpasnew" id="txtpasnew" type="password"/></td>
            </tr>
            <tr>
                <th scope="row"><?php echo $dtsLang['mod_inicio']['lbl_pas_confirm'] ?></th>
                <td><input name="txtpasconfirm" id="txtpasconfirm" type="password"/></td>
            </tr>
        </table>
    </form>
    <div align="center">
        <legend></legend>
        <button id="addSavePass">Guardar</button>
        <button id="cancelPass">Cancelar</button>
    </div>

</div>
<div class="navbar navbar-static navbar-fixed-top">
    <div class="navbar-inner" style="min-height:30px">
        <div class="container" style="width: auto;">
            <div id="menuSecond" style="clear:right; float:right; line-height:30px; margin-right:30px">
                <!--<a href="#" class="easyui-linkbutton" data-options="plain:false">Home</a> -->
                <a href="#" class="easyui-splitbutton" data-options="menu:'#mm1',iconCls:'icon-user'"><?php
                    $nom = explode(" ", $sesion->get("ac_nomape"));
                    echo $nom[0]
                    ?></a>
            </div>
            <div id="mm1" style="width:90px;">
                <div id="salir" data-options="iconCls:'icon-quit'">Desconectar</div>
                <div class="menu-sep"></div>
                <div id="cmbPass"
                     data-options="iconCls:'icon-pass'"><?php echo $dtsLang['mod_inicio']['txt_menu_cmb_pass'] ?></div>
            </div>
            <ul id="menu">
                <?php
                $sql = "SELECT * FROM info_permisos WHERE ide_usuario='" . $sesion->get('ac_userid') . "'";
                //echo $sql;
                $academia->instruccion($sql);

                $con_puntos = 0;
                $acum_pto = 0;
                $clas_padre = '';
                $long_ac = 1;
                $aux2 = 0;
                /*
                  if (strstr($_SERVER["HTTP_USER_AGENT"], "MSIE")) {
                  $img="<span style='margin-left:5px'> >> </span>";
                  }else {
                  $img="<img src='images/flecha.png'  align='right' style='margin-top:6px; margin-left:5px'/>";
                  } */

                $w = 1;
                $cont = 0;
                while ($reg = $academia->extraer_registro()) {

                    if ($reg['permiso'] % 2 != 0) {
                        $contenedor = 'tabs-' . $w;
                        $w++;
                        $url = $reg['url_formulario'];
                        $permiso = $reg['permiso'];
                        $nombre = str_replace(' ', '-', $reg['nom_formulario']);
                        $ventana = $reg['lugar_ver'];

                        $datos_menu = "id='$cont' dir='$url' data-per='$permiso' data-nom='$nombre'";

                        $evento2 = " onclick=menu('','$url','$permiso','$nombre','$ventana' )";
                        $evento = " onclick=menu('$url','$permiso','$nombre')";

                        $menu = $reg[nom_formulario];

                        $n_puntos = substr_count($reg[cod_formulario], '.');

                        $dif = $n_puntos - $acum_pto;
                        //echo $dif."<br>";
                        if ($dif < 0) {
                            for ($i = 0; $i < abs($dif); $i++) {
                                echo '</ul></li>';
                            }
                        }

                        if (trim($reg[url_formulario]) == '') {
                            echo '<li ' . $datos_menu . '>' . $menu . '<ul>';
                        } else {
                            echo '<li ' . $datos_menu . '>' . $menu . '</li>';
                        }

                        $acum_pto = substr_count($reg[cod_formulario], '.');
                    }// fin si permisos
                    $cont++;

                    echo "<!--Fin permis-->";
                }
                echo "<!--Fin permis-->";
                for ($i = 0; $i < abs($acum_pto); $i++) {

                    echo '</ul></li>';
                }

                echo '<li>
                                                    <b>Año lectivo: <i>
                                                    <span id="anio_activo" style="font-size:14px">' . $sesion->get('anio') . '</span></i></b>
                                                    <ul><li>
                                                    <div id="template" style="padding: 10px;">
                                                        <select name="txtanio" id="txtanio" class="campos">
                                                        ' . $cadSelecAnios . '
                                                        </select>
                                                        <button class="k-button" id="cambia_anio">Cambiar año</button>
                                                    </div></li></ul>
                                                </li>';

                echo '</ul>';

                $academia->liberar();
                $academia->cerrar();
                ?>
            </ul>
        </div>
    </div>
</div>

<div class="container-fluid" style=" padding-top:35px; margin-bottom:35px; ">
    <table align="center">
        <tr>
            <td id="titulo_form"></td>
        </tr>
        <tr>
            <td>
                <div id="contenedor_general">
                    <?php #echo $sesion->get("anio") ?>
                    <!--<iframe width="560" height="315" src="https://www.youtube.com/embed/OcusfAe8eKs" frameborder="0" allowfullscreen></iframe>-->
                </div>
            </td>
        </tr>
    </table>
</div>


<div class="navbar navbar-inverse navbar-fixed-bottom">
    <div class="navbar-inner" style="min-height:20px !important; line-height:20px">
        <div class="container-fluid">
            <div style="color:#FFF; text-align:center">
                &nbsp;<?php echo $dtsLang['project']['nom_soft'] . ' ' . $dtsLang['project']['ver_soft'] . ' ' . $dtsLang['project']['footertext'] . " " . $dtsLang['project']['anio_ini'] . ' - ' . date('Y') ?></div>
        </div>
    </div>
</div>
<!--
<script src='https://cdn.pulsejs.io/js/pulse.min.js'></script>
<script> 
	 window.onload = function(){
		 new PulseChat({
			 apiid: 'fZ986xcXCv038Y27Zyh2FvY9',
			 client_id: '<?php echo $sesion->get("ac_usuario"); ?>',
			 client_name: '<?php echo $sesion->get("ac_nomape"); ?>',
			 client_avatar: 'http://frayplacido.edu.co/academiaweb/img_avatar/avatar.png'
		});
	}
</script>-->

</body>
</html>
<?php
ob_end_flush();
?>
